/**
 * jQuery Dynamic Height Plugin 1.0
 * Normaliza a altura dos elementos com base no maior elemento entre o conjunto
 * Copyright (c) 2014 Claudio Myst
 */
;(function($){

    $.fn.dynamicHeight = function() {
        // pega as alturas de cada elemento e atribui ao array sizes
        var sizes = [];
        $(this).each(function(){
            // coloca o "height" dos elementos no array sizes
            sizes.push( jQuery(this).innerHeight() );
        });

        // Aplica o maior height contido no array nos elementos
        var heightMax = Math.max.apply(null, sizes);
        $(this).css({ height: heightMax });
    }

})( jQuery );





jQuery(document).ready(function(){

    // Height dinâmico para que as tabs são interfiram na rolagem do menu
    setTimeout( function(){
        jQuery(".tab-content").dynamicHeight();
    }, 300 );


	// Abrindo e fechando as tabs
	jQuery(document).on( 'click', '#tab-menu a', function(e){
		e.preventDefault();
		$tabActive = jQuery(this).data('tab');

		jQuery(this).closest('li').addClass('active').siblings('li.tab-menu-item').removeClass('active');
        jQuery($tabActive).show().siblings('.tab-content').hide();

        // Trocabdo a tab ativa
        jQuery('input[name="whatsapp_active_tab"]').val($tabActive);
	});



    // Mostrando lista de post type quando whatsapp dynamic está habilitado
    jQuery('#whatsapp_dynamic').change(function(){
        if( jQuery(this).is(":checked") ){
            jQuery('#show-select-post-type').show();
        } else {
            jQuery('#show-select-post-type').hide();
        }
    }).change();
});