<?php
function get_script_whatsapp_config(){

    wp_enqueue_style(  'tab-style',  WL_URL .'admin/css/tab-style.min.css', array(), '1.0', 'all' );
    wp_enqueue_script( 'tab-script', WL_URL .'admin/js/tab-script.min.js', array('jquery'), '1.0', true );

    wp_enqueue_script( 'mask',       WL_URL .'admin/js/jquery.mask.min.js', array('jquery'), '1.0', true );
}


/**
 * Criando a página de configuração do plugin e salvando as opções
 */
function save_config_whatsapp_link(){

    if ( isset($_GET['page']) && $_GET['page'] == basename(__FILE__) ) {

        if( ( isset($_REQUEST['save_config']) ) && check_admin_referer( 'nonce_whatsapp_link', 'nonce_whatsapp_link_security' )){

            $options = array(
                'whatsapp_number',
                'whatsapp_number_popup',
                'whatsapp_mensagem',
                'whatsapp_mensagem_popup',
                'whatsapp_texto',
                'whatsapp_visibility',
                'whatsapp_visibility_popup',
                'whatsapp_visibility_page',
                'whatsapp_media_query',
                'whatsapp_popup_type',
                'whatsapp_popup_position',
                'whatsapp_mensagem_largura',
                'whatsapp_link_class',
                'whatsapp_popup_action',
                'whatsapp_animation',
            );
            foreach( $options as $name ){
                if( isset( $_REQUEST[$name] ) && $_REQUEST[$name] !== '' ){
                    update_option( $name, esc_attr( strip_tags( $_REQUEST[$name] ) ) );
                } else {
                    delete_option( $name );
                }
            }

            // Mensagem para o popup
            if( isset( $_REQUEST['whatsapp_popup_mensagem'] ) && $_REQUEST['whatsapp_popup_mensagem'] !== '' ){
                $mensage = addslashes( stripslashes( $_REQUEST['whatsapp_popup_mensagem'] ) );
                update_option('whatsapp_popup_mensagem', force_balance_tags( $mensage ) );
            } else {
                delete_option('whatsapp_popup_mensagem' );
            }

            // Style CSS
            if( isset( $_REQUEST['whatsapp_popup_css'] ) && $_REQUEST['whatsapp_popup_css'] !== '' ){
            	$stylecss = addslashes( stripslashes( $_REQUEST['whatsapp_popup_css'] ) );
            	update_option('whatsapp_popup_css', $stylecss );
            } else {
            	delete_option('whatsapp_popup_css' );
            }

            if( isset( $_REQUEST['whatsapp_popup_active'] ) && $_REQUEST['whatsapp_popup_active'] !== '' ){
                update_option('whatsapp_popup_active', 1 );
            } else {
                delete_option('whatsapp_popup_active' );
            }

            if( isset( $_REQUEST['whatsapp_uninstall'] ) && $_REQUEST['whatsapp_uninstall'] !== '' ){
                update_option('whatsapp_uninstall', 1 );
            } else {
                delete_option('whatsapp_uninstall' );
            }

            if( isset( $_REQUEST['whatsapp_dynamic'] ) && $_REQUEST['whatsapp_dynamic'] !== '' ){
                update_option('whatsapp_dynamic', 1 );
            } else {
                delete_option('whatsapp_dynamic' );
            }

            if( isset( $_REQUEST['whatsapp_post_type'] ) && $_REQUEST['whatsapp_post_type'] !== '' ){
            	update_option('whatsapp_post_type', $_REQUEST['whatsapp_post_type'] );
            } else {
            	delete_option('whatsapp_post_type' );
            }

			// Redirecionando página de configurações
			wp_redirect( admin_url('/options-general.php?page='.basename(__FILE__)."&saved=true") );
			die;
		}
    }

    $admin_page = add_submenu_page( 'options-general.php', 'Whatsapp Link', 'Whatsapp Link', 'edit_theme_options', basename(__FILE__), 'save_config_whatsapp_link_html' );

	// Carregando scripts e styles no painel
	add_action( "admin_print_scripts-{$admin_page}", 'get_script_whatsapp_config' );

}
add_action('admin_menu', 'save_config_whatsapp_link');






/**
 * HTML para a página de configuração do plugin
 */
function save_config_whatsapp_link_html(){ ?>

    <div class="wrap">
        <?php
        	if( isset( $_GET['saved'] )){
        		echo '<div class="updated settings-error" class="setting-error-settings_updated"><p><strong>As configurações foram salvas com sucesso.</strong></p></div>';
        	}
        ?>

        <h1>Whatsapp Link Configurações</h1>

        <ul id="tab-menu">
            <?php
                // Tabs cadastradas
                $tabs = array(
                    'tab-whatsapp-flutuante' => 'Whatsapp Flutuante',
                    'tab-whatsapp-shortcode' => 'Whatsapp Shortcode',
                    'tab-whatsapp-gerais'    => 'Configurações Gerais',
                );
                foreach( $tabs as $tab => $tabname ){
                    $active = ( 'tab-whatsapp-flutuante' == $tab ) ? ' active' : '';
                    echo '<li class="tab-menu-item'.$active.'"><a href="#" data-tab=".'.$tab.'">'.$tabname.'</a></li>';
                }
            ?>
        </ul>

        <form id="form-page-options" action="<?php echo esc_url( admin_url('/options-general.php?page='.basename(__FILE__)) ); ?>" method="post">

            <?php wp_nonce_field( 'nonce_whatsapp_link', 'nonce_whatsapp_link_security' ); ?>

            <?php include( 'html-whatsapp-flutuante-page.php'); ?>
            <?php include( 'html-whatsapp-shortcode-page.php'); ?>
            <?php include( 'html-whatsapp-gerais-page.php'); ?>

            <input type="hidden" name="whatsapp_active_tab" value="<?php echo get_option('whatsapp_active_tab', '.tab-whatsapp-flutuante'); ?>">
        </form>
        <div class="clear"></div>
    </div><!-- wrap -->
    <div class="clear"></div><?php
}