<?php
/*
 *	Whatsapp_Link_Shortcodes Class
 *
 *	@Class Whatsapp_Link_Shortcodes
 *	@version 1.0
 */
class Whatsapp_Link_Shortcodes {

	public function __construct() {
		add_shortcode( 'whatsapp', array( $this, 'whatsapp_link_shortcode' ) );
	}


	/**
	* Loop depoimentos
	* echo do_shortcode('[depoimentos']);
	*/
	public function whatsapp_link_shortcode($atts, $content = null, $name = null ){
		extract(shortcode_atts(
			array(
				"numero"      => '',
				"mensagem"    => '',
				"visivel"     => get_option('whatsapp_visibility', 'all'),
				"texto"       => get_option('whatsapp_texto', 'Whatsapp'),
				"class"       => '',
				"media_query" => '768px'
			), $atts ));

		static $sc_id = 1;

		$output	   = "";
		$style	   = "";
		$classCSS  = ( $class ) ? ' '.$class : '';
		$numero    = ( $numero ) ? $numero : get_option('whatsapp_number');
		$numero    = str_replace(array("-", " ", "(", ")"), '', $numero );

		// Media query
		$media_query = ( !empty( $media_query ) ) ? $media_query : '768px';

		// Mensagem pré-definida
		if( get_option('whatsapp_mensagem') ){
			$text_mensagem = '&amp;text='.get_option('whatsapp_mensagem');
		}
		if( $mensagem ){
			$text_mensagem = '&amp;text='.$mensagem;
		}

		$urlMob = strip_tags('whatsapp://send?phone='.$numero.$text_mensagem);
		$urlWeb = strip_tags('https://web.whatsapp.com/send?phone='.$numero.$text_mensagem);

		ob_start();
		$sc_id++;

		if( $numero ){
			switch( $visivel ){
				case 'mobile';
						echo '<a id="whatsapp-mob-'.esc_attr($sc_id).'" class="whatsapp-mob '.sanitize_html_class($classCSS).'" href="'.esc_attr($urlMob).'">'.$texto.'</a>';
						echo '<style type="text/css">#whatsapp-mob-'.esc_attr($sc_id).'{display: none;} @media ( max-width: '.esc_attr($media_query).' ){#whatsapp-mob-'.esc_attr($sc_id).'{display: inline-block;}}</style>';
					break;
				case 'destop';
						echo '<a id="whatsapp-web-'.esc_attr($sc_id).'" class="whatsapp-web '.sanitize_html_class($classCSS).'" href="'.esc_url($urlWeb).'" target="_blank">'.$texto.'</a>';
						echo '<style type="text/css">#whatsapp-web-'.esc_attr($sc_id).'{display: inline-block;} @media ( max-width: '.esc_attr($media_query).' ){#whatsapp-web-'.esc_attr($sc_id).'{display: none;}}</style>';
					break;
				default:
						echo '<a id="whatsapp-mob-'.esc_attr($sc_id).'" class="whatsapp-mob '.sanitize_html_class($classCSS).'" href="'.esc_attr($urlMob).'">'.$texto.'</a>';
						echo '<a id="whatsapp-web-'.esc_attr($sc_id).'" class="whatsapp-web '.sanitize_html_class($classCSS).'" href="'.esc_url($urlWeb).'" target="_blank">'.$texto.'</a>';
						echo '<style type="text/css">#whatsapp-mob-'.esc_attr($sc_id).'{display: none;}#whatsapp-web-'.esc_attr($sc_id).'{display: inline-block;} @media ( max-width: '.esc_attr($media_query).' ){#whatsapp-mob-'.esc_attr($sc_id).'{display: inline-block;}#whatsapp-web-'.esc_attr($sc_id).'{display: none;}}</style>';
					break;
			}
		} else {
			if( current_user_can('activate_plugins') ){
				echo 'Administrador, você esqueceu de configurar o número do whtasapp.';
			}
		}

		$output .= ob_get_clean();

		return $output;
	}
}


// Instanciando class
$shortcode = new Whatsapp_Link_Shortcodes();