<?php
/**
 * Adicionando editor de CSS
 * https://make.wordpress.org/core/2017/10/22/code-editing-improvements-in-wordpress-4-9/
 */
function add_script_css_editor() {

	// var_dump(get_current_screen()->id); // Use para verificar a tela que deseja aplicar o editor

    $screen = ( function_exists('get_current_screen') ) ? get_current_screen()->id : '';

 	if ( 'settings_page_whatsapp-config' === $screen ) {

	    $settings = wp_enqueue_code_editor( array( 'type' => 'text/css' ) );
	    wp_add_inline_script(
	    	'code-editor',
	    	sprintf(
	    		'jQuery(function(){
	    			wp.codeEditor.initialize( "whatsapp_popup_css", %s );
	    		});',
	            wp_json_encode( $settings )
	        )
	    );

	    $settings = wp_enqueue_code_editor( array( 'type' => 'text/html' ) );
	    wp_add_inline_script(
	    	'code-editor',
	    	sprintf(
	    		'jQuery(function(){
	    			wp.codeEditor.initialize( "whatsapp_popup_mensagem", %s );
	    		});',
	            wp_json_encode( $settings )
	        )
	    );
	}
}
add_action( 'in_admin_footer', 'add_script_css_editor' );







/**
 * Gerando o html do whatsapp flutuante no site
 */
function whatsapp_popup_html(){

	if( get_option('whatsapp_popup_active') === false )
		return false;

		$classCSS   = '';
		$numero     = get_option('whatsapp_number_popup', '');
		$classCSS   = get_option('whatsapp_link_class');
		$animation  = get_option('whatsapp_animation', '');

		if( is_singular() && 1 == get_option('whatsapp_dynamic') ){
			global $post;
			$custom_animate = get_post_meta( $post->ID, 'whatsapp_animation', true );
			$animation = ( $custom_animate ) ? $custom_animate : $animation;
		}

		if( $classCSS ){
			$classCSS .= ' '.$classCSS;
		}
		if( $animation ){
			$classCSS .= ' '.$animation;
		}

		$visibility = get_option('whatsapp_visibility_popup', 'all' );
		$icon = '<svg class="whatsapp-link" viewBox="0 0 32 32" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" alt="WhatsApp"><path d=" M19.11 17.205c-.372 0-1.088 1.39-1.518 1.39a.63.63 0 0 1-.315-.1c-.802-.402-1.504-.817-2.163-1.447-.545-.516-1.146-1.29-1.46-1.963a.426.426 0 0 1-.073-.215c0-.33.99-.945.99-1.49 0-.143-.73-2.09-.832-2.335-.143-.372-.214-.487-.6-.487-.187 0-.36-.043-.53-.043-.302 0-.53.115-.746.315-.688.645-1.032 1.318-1.06 2.264v.114c-.015.99.472 1.977 1.017 2.78 1.23 1.82 2.506 3.41 4.554 4.34.616.287 2.035.888 2.722.888.817 0 2.15-.515 2.478-1.318.13-.33.244-.73.244-1.088 0-.058 0-.144-.03-.215-.1-.172-2.434-1.39-2.678-1.39zm-2.908 7.593c-1.747 0-3.48-.53-4.942-1.49L7.793 24.41l1.132-3.337a8.955 8.955 0 0 1-1.72-5.272c0-4.955 4.04-8.995 8.997-8.995S25.2 10.845 25.2 15.8c0 4.958-4.04 8.998-8.998 8.998zm0-19.798c-5.96 0-10.8 4.842-10.8 10.8 0 1.964.53 3.898 1.546 5.574L5 27.176l5.974-1.92a10.807 10.807 0 0 0 16.03-9.455c0-5.958-4.842-10.8-10.802-10.8z" fill-rule="evenodd"></path></svg>';


		switch( get_option('whatsapp_visibility_page', 'all') ){
			case 'home':
				if( ! is_home() )
					return;
			break;
			case 'pages':
				if( ! is_page() )
					return;
			break;
			case 'single':
				if( ! is_single() )
					return;
			break;
		}


		if( is_singular() && 1 == get_option('whatsapp_dynamic') ){
			$custom_numero = get_post_meta( $post->ID, 'whatsapp_number_popup', true );
			$numero = ( $custom_numero ) ? $custom_numero : $numero;
		}

		// Se o número não for especificado nada será exibido
		if( $numero ){

			// media query
			$media = get_option('whatsapp_media_query', '768px');

			$style_output = '';
			$text_mensagem = '';
			$output = '';

			if( get_option('whatsapp_mensagem_popup') ){
				$text_mensagem = rawurlencode(get_option('whatsapp_mensagem_popup'));
			}

			if( is_singular() && 1 == get_option('whatsapp_dynamic') ){
				$custom_text_mensagem = get_post_meta( $post->ID, 'whatsapp_user_mensagem', true );
				$text_mensagem = ( $custom_text_mensagem ) ? rawurlencode($custom_text_mensagem) : rawurlencode($text_mensagem);
			}

			$numero = str_replace(array("-", " ", "(", ")"), '', $numero );
			$param_text = ($text_mensagem) ? '?text=' : '';
			$urlMob = strip_tags('https://wa.me/'.$numero.$param_text.$text_mensagem);

			$param_text = ($text_mensagem) ? str_replace('?text=', '&amp;text=', $param_text) : '';
			$urlWeb = strip_tags('https://web.whatsapp.com/send?phone='.$numero.$param_text.$text_mensagem);

			$position = get_option('whatsapp_popup_position', 'left');
			$action   = get_option('whatsapp_popup_action', 'initial');
			$output .= "\n".'<div class="whatsapp-popup position-'.$position.' visibility-'.$visibility.' action-'.$action.'">';

			switch( $visibility ){
				case 'mobile';
					$output .= '<a class="whatsapp-mob '.sanitize_html_class($classCSS).'" href="'.esc_attr($urlMob).'">'.$icon.'</a>';
					$style_output = '<style type="text/css">.whatsapp-popup.device-desktop a.whatsapp-mob{ display: none; } .whatsapp-popup.device-mobi a.whatsapp-mob{ display: block; }</style>';
				break;

				case 'desktop';
					$output .= '<a class="whatsapp-web '.sanitize_html_class($classCSS).'" href="'.esc_url($urlWeb).'" target="_blank">'.$icon.'</a>';
					$style_output = '<style type="text/css">.whatsapp-popup.device-desktop a.whatsapp-web{ display: block; }.whatsapp-popup.device-mobi a.whatsapp-web{ display: none; }</style>';
				break;

				default:
					$output .= '<a class="whatsapp-mob '.sanitize_html_class($classCSS).'" href="'.esc_attr($urlMob).'">'.$icon.'</a>';
					$output .= '<a class="whatsapp-web '.sanitize_html_class($classCSS).'" href="'.esc_url($urlWeb).'" target="_blank">'.$icon.'</a>';
					$style_output = '<style type="text/css">.whatsapp-popup.device-desktop a.whatsapp-mob{ display: none; }.whatsapp-popup.device-desktop a.whatsapp-web{ display: block; }.whatsapp-popup.device-mobi a.whatsapp-web{ display: none; }.whatsapp-popup.device-mobi a.whatsapp-mob{ display: block; }</style>';
				break;
			}

			$popup = '';
			$mensagemPopup = get_option('whatsapp_popup_mensagem');
			if( is_singular() && 1 == get_option('whatsapp_dynamic') ){
				global $post;
				$custom_mensagem_popup = get_post_meta( $post->ID, 'whatsapp_popup_mensagem', true );
				$mensagemPopup = ( $custom_mensagem_popup ) ? stripslashes( $custom_mensagem_popup ) : $mensagemPopup;
			}

			if( $mensagemPopup && !isset( $_COOKIE['whatsappPopupClose'] ) ){

				$largura = get_option('whatsapp_mensagem_largura', '280px');

				if( is_singular() && 1 == get_option('whatsapp_dynamic') ){
					$custom_largura = get_post_meta( $post->ID, 'whatsapp_mensagem_largura', true );
					$largura = ( $custom_largura ) ? $custom_largura : $largura;
				}

				$output .= '<div class="whatsapp-box-mensage" style="width:'.esc_attr($largura).';">';
				$output .= '<span class="whatsapp-close-popup"><svg class="wlc" viewBox="0 0 24 24" xmlns="http://www.w3.org/2000/svg"><path d="M19 6.41L17.59 5 12 10.59 6.41 5 5 6.41 10.59 12 5 17.59 6.41 19 12 13.41 17.59 19 19 17.59 13.41 12z"></path><path d="M0 0h24v24H0z" fill="none"></path></svg></span>';
				$output .= stripslashes($mensagemPopup);
				$output .= '</div>';
			}

			$output .= '</div>';
			$output .= $style_output;

			echo $output."\n";

			$style = get_option('whatsapp_popup_css');
			if( $style ){
				echo '<style type="text/css">'.stripslashes($style).'</style>';
			}

			// Script para caixa flutuante inicialmente visível
			if( get_option('whatsapp_popup_action') != 'hover'){ ?>
				<script type="text/javascript">
					var $jq = jQuery.noConflict();
					$jq(document).ready(function(){
						$jq('.whatsapp-close-popup').click(function(){
							$jq('.whatsapp-box-mensage').toggleClass('fechado');
							var expira = new Date();
							expira.setTime(expira.getTime() + (1000 * 60 * 60 * 8)); // duração 8 horas
							document.cookie = "whatsappPopupClose=1;expires="+ expira.toUTCString()+";path=/";
						});

					});
				</script><?php
			} ?>

				<script type="text/javascript">
					var $jq = jQuery.noConflict();
					var isMobile = ('ontouchstart' in document.documentElement && navigator.userAgent.match(/Mobi/));
					$jq(document).ready(function(){
		                var class_device = ( isMobile === false ) ? 'device-desktop' : 'device-mobi';
		                $jq('.whatsapp-popup').addClass(class_device);
					});
				</script>
			<?php
		}

}
add_action('wp_footer', 'whatsapp_popup_html', 1000 );