<?php
/*
Plugin Name:   Whatsapp Link
Plugin URI:    http://in9ti.com
Description:   Crie links para whatsapp via shortcode ou um botão flutuante em seu site
Author:        Claudio Myst
Author URI:    http://in9ti.com
Version:       2.2.3
License:       GPL version 2 or later - http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
*/




/**
 * Includes
 */
function init_whatsapp_link_plugin(){

	define('WL_URL', plugin_dir_url(__FILE__) );

	### INCLUDES ###
	include_once( dirname( __FILE__ ). '/admin/whatsapp-config.php');
	include_once( dirname( __FILE__ ). '/shortcode/shortcode.php');
	include_once( dirname( __FILE__ ). '/whatsapp-functions.php');

	// Metabox para whatsapp dinâmico
	if( 1 == get_option('whatsapp_dynamic') ){
		include_once( dirname( __FILE__ ). '/metabox/whatsapp-metabox.php');
	}
}
add_action( 'init', 'init_whatsapp_link_plugin', 0 );





/**
 * Salvando opções ao ativar o plugin
 */
function function_whatsapp_link_activation_plugin() {
	add_option( 'whatsapp_popup_position', 'left' );
	add_option( 'whatsapp_popup_action', 'hover' );
	add_option( 'whatsapp_media_query', '768px' );
}
register_activation_hook( __FILE__, 'function_whatsapp_link_activation_plugin' );







/**
 * Removendo opções ao desativar o plugin
 */
function function_whatsapp_link_deactivation_plugin() {

	if( 1 == get_option('whatsapp_uninstall') ){
		delete_option( 'whatsapp_number' );
		delete_option( 'whatsapp_mensagem' );
		delete_option( 'whatsapp_texto' );
		delete_option( 'whatsapp_visibility' );
		delete_option( 'whatsapp_media_query' );
		delete_option( 'whatsapp_link_class' );
		delete_option( 'whatsapp_popup_type' );
		delete_option( 'whatsapp_popup_position' );
		delete_option( 'whatsapp_popup_action' );
		delete_option( 'whatsapp_popup_mensagem' );
		delete_option( 'whatsapp_popup_active' );
		delete_option( 'whatsapp_mensagem_largura' );
		delete_option( 'whatsapp_popup_css' );
		delete_option( 'whatsapp_animation' );
		delete_option( 'whatsapp_number_popup' );
		delete_option( 'whatsapp_mensagem_popup' );
		delete_option( 'whatsapp_visibility_popup' );
		delete_option( 'whatsapp_visibility_page' );
		delete_option( 'whatsapp_dynamic' );
		delete_option( 'whatsapp_post_type' );
		delete_option( 'whatsapp_active_tab' );
		delete_option( 'whatsapp_uninstall' );
	}
}
register_deactivation_hook( __FILE__, 'function_whatsapp_link_deactivation_plugin' );








/**
 * CSS para Whatsapp Flutuante
 */
function function_whatsapp_link_script_plugin(){
	wp_register_style( 'whatsapp_link', WL_URL.'css/whatsapp_link.min.css', false , '1.0', 'all' );

	if( get_option('whatsapp_popup_active') !== false ){
		wp_enqueue_style('whatsapp_link');
	}
}
add_action('wp_enqueue_scripts', 'function_whatsapp_link_script_plugin', 10 );









/**
 * Link para a tela de configuração do plugin
 */
function whatsapp_link_add_link_page_plugins( $links ) {
	$links[] = '<a href="'.esc_url( get_admin_url( '', 'options-general.php?page=whatsapp-config.php') ).'">Configurações</a>';
	return $links;
}
add_filter( 'plugin_action_links_' . plugin_basename( __FILE__ ), 'whatsapp_link_add_link_page_plugins', 0 );